import { Reader } from "./reader";
declare enum Type {
    Dir = 0,
    File = 1
}
export interface TarHeader {
    readonly size: number;
    readonly name: string;
    readonly type: Type;
}
export declare class TarFile {
    readonly header: TarHeader;
    private readonly offset;
    private readonly reader;
    constructor(header: TarHeader, offset: number, reader: Reader);
    read(): Uint8Array;
    read(encoding: "utf8"): string;
}
export declare class Tar {
    private readonly files;
    getFile(filePath: string): TarFile | undefined;
    static fromUint8Array(array: Uint8Array): Tar;
    private static getNextFile;
    private static parseHeader;
}
export {};
